Package: tftpd-hpa
Version: 0.40-2
Followup-For: Bug #279179

Well, I decided just to fix the problems, I'll include a patch.  This
should also solve problems for bug #279241

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.9bproc4p8
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages tftpd-hpa depends on:
ii  debconf                     1.4.30.11    Debian configuration management sy
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libwrap0                    7.6.dbs-6    Wietse Venema's TCP wrappers libra

-- debconf information:
* tftpd-hpa/use_inetd: false
--- tftpd-hpa.old       2005-01-14 19:39:28.000000000 -0500
+++ tftpd-hpa   2005-01-14 19:54:46.000000000 -0500
@@ -1,17 +1,11 @@
 #! /bin/sh
 #
-# skeleton     Example initscript
-#              This file should be used to construct scripts to be
-#              placed in /etc/init.d.
+# tftpd-hpa    HPA's tftpd
 #
-# Author:      Miquel van Smoorenburg <[EMAIL PROTECTED]>.
-#              Ian Murdock <[EMAIL PROTECTED]>.
+# Author:      Jaakko Niemi <[EMAIL PROTECTED]>
 #
-#              Please remove the "Author" lines above and replace them
-#              with your own name if you copy and modify this script.
-#
-# Version:     @(#)skeleton  2.85-23  28-Jul-2004  [EMAIL PROTECTED]
+# Version:      1.1
 #
 
 set -e
 
@@ -30,32 +24,32 @@
 then
        . /etc/default/tftpd-hpa
 fi
 
-test "$RUN_DAEMON" = "yes" || echo "tftpd-hpa disabled" && exit 0
+if [ "$RUN_DAEMON" != "yes" ] ; then
+        echo >&2 "tftpd-hpa disabled"
+        exit 1
+fi
 
 #
 #      Function that starts the daemon/service.
 #
 d_start() {
-       start-stop-daemon --start --quiet --pidfile $PIDFILE \
-               --exec $DAEMON -- $OPTIONS
+       start-stop-daemon --start --quiet --exec $DAEMON -- $OPTIONS
 }
 
 #
 #      Function that stops the daemon/service.
 #
 d_stop() {
-       start-stop-daemon --stop --quiet --pidfile $PIDFILE \
-               --name $NAME
+       start-stop-daemon --stop --quiet --name $NAME
 }
 
 #
 #      Function that sends a SIGHUP to the daemon/service.
 #
 d_reload() {
-       start-stop-daemon --stop --quiet --pidfile $PIDFILE \
-               --name $NAME --signal 1
+       start-stop-daemon --stop --quiet --name $NAME --signal 1
 }
 
 case "$1" in
   start)
@@ -67,27 +61,14 @@
        echo -n "Stopping $DESC: $NAME"
        d_stop
        echo "."
        ;;
-  #reload)
-       #
-       #       If the daemon can reload its configuration without
-       #       restarting (for example, when it is sent a SIGHUP),
-       #       then implement that here.
-       #
-       #       If the daemon responds to changes in its config file
-       #       directly anyway, make this an "exit 0".
-       #
-       # echo -n "Reloading $DESC configuration..."
-       # d_reload
-       # echo "done."
-  #;;
-  restart|force-reload)
-       #
-       #       If the "reload" option is implemented, move the "force-reload"
-       #       option to the "reload" entry above. If not, "force-reload" is
-       #       just the same as "restart".
-       #
+  reload|force-reload)
+       echo -n "Reloading $DESC configuration..."
+       d_reload
+       echo "done."
+  ;;
+  restart)
        echo -n "Restarting $DESC: $NAME"
        d_stop
        sleep 1
        d_start

Reply via email to